﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Windows.Controls;

namespace MefImage
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            CompositionInitializer.SatisfyImports(this);
            
            DataContext = ViewModel;

            foreach (var plugin in Plugins)
            {
                LayoutRoot.Children.Add(plugin);
            }
        }

        [Import]
        public MainPageViewModel ViewModel { get; set; }

        [ImportMany]
        public IEnumerable<UserControl> Plugins { get; set; }
    }
}
