using System.ComponentModel.Composition;
using System.Reflection;
using System.Windows;
using System.Windows.Controls;
using MefShapes;

namespace MefHolidayShapes
{
    [Export(typeof(IShape))]
    public class MefPumpkin : IShape
    {
        public object Content
        {
            get
            {
                // <Path Fill="White" Stretch="Fill" Stroke="Black" Height="99" Width="100" UseLayoutRounding="False" Data="M114,5 L67,103 L166,102 z" Canvas.Left="0" Canvas.Top="0"/>
                Application.Current.LoadDictionary(Assembly.GetExecutingAssembly(), "ShapesDictionary.xaml");

                var control = new ContentControl
                                  {
                                      Style = Application.Current.Resources["PumpkinStyle"] as Style
                                  };
                control.Loaded += (s, e) => VisualStateManager.GoToState(control, "Blinking", true);
                return control;
            }
        }
    }
}