﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Interactivity;

namespace MefShapes
{
    public class ExecuteCommandBehavior : TriggerAction<Button>
    {


        public Binding Command
        {
            get { return (Binding)GetValue(CommandProperty); }
            set { SetValue(CommandProperty, value); }
        }

        // Using a DependencyProperty as the backing store for Command.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty CommandProperty =
            DependencyProperty.Register("Command", typeof(Binding), typeof(ExecuteCommandBehavior), new PropertyMetadata(0));



        protected override void Invoke(object parameter)
        {
            
        }
    }
}
