﻿using System.ComponentModel.Composition;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Shapes;
using MefShapes;

namespace MefShapesLibrary
{
    [Export(typeof(IShape))]
    public class MefRectangle : IShape
    {
        public object Content
        {
            get
            {
                var control = new ContentControl
                {
                    Style = Application.Current.Resources["RectangleStyle"] as Style
                };
                control.Loaded += (s, e) => VisualStateManager.GoToState(control, "Blinking", true);
                return control;
            }

        }
    }
}
