﻿using System;
using System.ComponentModel.Composition;
using System.IO;
using System.Reflection;
using System.Resources;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Markup;
using System.Windows.Media;
using MefShapes;
using Path=System.Windows.Shapes.Path;

namespace MefShapesLibrary
{
    [Export(typeof(IShape))]
    public class MefTriangle : IShape
    {
        public object Content 
        {
            get
            {
                // <Path Fill="White" Stretch="Fill" Stroke="Black" Height="99" Width="100" UseLayoutRounding="False" Data="M114,5 L67,103 L166,102 z" Canvas.Left="0" Canvas.Top="0"/>
                Application.Current.LoadDictionary(Assembly.GetExecutingAssembly(), "ShapesDictionary.xaml");

                var control = new ContentControl
                                  {
                                      Style = Application.Current.Resources["TriangleStyle"] as Style
                                  };
                control.Loaded += (s, e) => VisualStateManager.GoToState(control, "Blinking", true);
                return control;
            }
        }
    }
}