﻿using System.ComponentModel.Composition;
using System.Windows.Controls;
using MefShapes;
using MefShapesViewer.Loaders;

namespace MefShapesViewer
{
    public partial class MainPage : UserControl
    {
        [Import]
        public MainPageViewModel ViewModel
        {
            get { return DataContext as MainPageViewModel; }
            set { DataContext = value; }
        }

        public MainPage()
        {
            InitializeComponent();

            DeploymentCatalogService.Initialize();
            CompositionInitializer.SatisfyImports(this);
        }
    }
}
